#pragma once

#include "vector_math.h"
#include "input_state.h"

typedef struct {
	Vector3	position;
	Vector3	velocity;
	Vector3	acceleration;
	float	yaw;
	float	pitch;
	bool	isGrounded;
	bool	isSprinting;
	bool	isSliding;
} PlayerState;

void initialize_player(PlayerState *player);
void update_player_movement(PlayerState *player, InputState *input, float delta);
